Ubuntu

Unity: Alt-F2 not working

Reported by cariboo907 on 2010-05-14
560
This bug affects 108 people
Affects Status Importance Assigned to Milestone
Unity
High
Didier Roche
unity-2d
Critical
Ugo Riboni
unity-lens-applications
High
Didier Roche
unity (Ubuntu)
Medium
Didier Roche
Natty
Medium
Didier Roche
unity-place-applications (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

When pressing Alt-F2 nothing happens in Unity. The key-combo works on gnome and UNE. I'm not sure what extra info is needed. I'm running Unity on a Compaq Mini 110

Didier Roche (didrocks) on 2010-05-14
Changed in unity:
importance: Undecided → Wishlist
status: New → Triaged

Just to explain: the run dialog called by Alt+F2 is a function of Gnome Panel, that is not running in Unity (it uses its own panel), so we'll have to wait for them to implement such functionality.

Neil J. Patel (njpatel) on 2010-05-25
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 0.2.2
Neil J. Patel (njpatel) on 2010-06-10
Changed in unity:
milestone: 0.2.8 → 0.2.10
Neil J. Patel (njpatel) on 2010-06-25
Changed in unity:
milestone: 2010-06-17 → 2010-07-01
Mirco Müller (macslow) on 2010-07-02
Changed in unity:
milestone: 2010-07-01 → 2010-07-15
Neil J. Patel (njpatel) on 2010-07-16
Changed in unity:
milestone: 2010-07-15 → 2010-07-29
Changed in unity:
status: Triaged → Fix Released
Didier Roche (didrocks) wrote :

it doesn't work there under mutter in the UNE session with unity 0.2.22

Changed in unity:
status: Fix Released → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
David Barth (dbarth) on 2010-08-04
Changed in unity:
milestone: 2010-07-29 → backlog
Paul Kishimoto (khaeru) wrote :

One workaround is to install the package 'gmrun', then use the "Add" button in gnome-keybinding-properties to create a new action with the command 'gmrun'. This can then be bound to Alt+F2.

gmrun, however, has reduced functionality compared to the Gnome Panel run dialog.

Dmitry Shachnev (mitya57) wrote :

Other alternatives - GnomeDo, Kupfer. Very lightweight - Lauf.

Kevin Fries (kevin-kevinfries) wrote :

And again we end users are left asking why a product that is not ready for prime time, and has fewer features is replacing existing functionality? Especially this time when the old functionality was simply taken away abruptly.

Bad form!

papukaija (papukaija) wrote :

Unity is definitely much better than Lucid's default UNE desktop.

Definitely my no.1 problem with Unity right now.

Subjucha (subjucha) wrote :

The same problem.

This is on the list for Natty.

For me, the fix suggested in #3 works very well. This could even be the fix for Natty: gmrun seems very nice, and while very simple there are some nice features --- remembering history, auto-completion, and the fact that ctrl-enter runs it in a terminal I think is actually nicer than the gnome panel Alt-F2 where you have to move back to the mouse and click a checkbox. And it's very light.

David Barth (dbarth) on 2010-11-08
Changed in unity:
importance: Wishlist → High
milestone: backlog → none
tags: added: a11y backlog
Sam Spilsbury (smspillaz) wrote :

Enable the gnomecompat plugin in the default config and you'll get it back.

Didier Roche (didrocks) wrote :

No really Sam, we will need to add a custom application for that. indeed, alt + F2 app is part of gnome-panel IIRC, that we won't launch with unity. So, keybinding by default + dedicated app will be needed.

Neil J. Patel (njpatel) on 2010-12-01
Changed in unity:
milestone: none → 3.2.8
Sam_ (and-sam) wrote :

@#10
a) It isn't a 'fix' it's a 'workaround'. New user has to search the web for an answer or reported bugs.
b) This is a no go regarding the mission 'user-friendly', since system preferences -> shortcuts state the shortcut is Alt+F2 (screenshot), btw. Alt+F1 also doesn't run.

Live-session
$ ubiquity --version
2.5.3
$ dpkg -l unity
ii unity 3.2.2-0ubuntu2
$ lsb_release -a
Description: Ubuntu natty (development branch)
Release: 11.04
Codename: natty
$ uname -a
Linux ubuntu 2.6.37-7-generic #19-Ubuntu SMP Tue Nov 30 23:45:33 UTC 2010 x86_64 GNU/Linux

Sam_ (and-sam) wrote :

@#4

GnomeDo doesn't work too, if you press <SUPER>+<SPACE> nothing happens.

Neil J. Patel (njpatel) on 2010-12-17
Changed in unity:
milestone: 3.2.8 → 3.2.10

gmrun was suggested as an option here. Playing with it, it will need a
little love on the styling front, and it would be nice if it gave a
type-ahead-find listing without needing tab, but it could serve the
purpose for Natty.

Mark

Assigning to Didier since gmrun can be integrated as a replacement.

Changed in unity:
assignee: Neil J. Patel (njpatel) → Didier Roche (didrocks)
Martin Pitt (pitti) on 2011-01-12
Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
milestone: 3.2.10 → 3.6
Uli Tillich (utillich) wrote :

What about "Synapse"?
Its similar to Gnome-Do but with more active development (many of the developers of Synapse previously worked on Gnome-do). It might not be as lightweight as gmrun, but it has many features, such as Zeitgeist integration.

Matt Sturgeon (mattsturgeon) wrote :

@ Comment #18
At the moment developers have chosen to go with gmrun since it is a simple application to run executable files. It will be basically like the run dialog from gnome-panel, but a stand-alone alternative.
While your suggestion is appreciated, for now, at least, I think it is best to make a decision and stick with it. I for one, am in favor of continuing on the gmrun path.

Changed in unity-2d:
importance: Undecided → High
milestone: none → 3.6
status: New → Confirmed
status: Confirmed → Triaged
Omer Akram (om26er) wrote :

not a wishlist ;) since this would be a regression for Natty

Changed in unity (Ubuntu Natty):
importance: Wishlist → Medium
Paul Kishimoto (khaeru) wrote :

Rather, it *was* a regression in Maverick.

sam mixter (sam-mixter) wrote :

Hey guys new here but just a thought as I am stumbling around on a few bumps and hurdles, does ctrl-F2 not get it done? I was trying to get Natty Unity working on my ATI HD 4200 with no luck and found that ctrl-F2 gave me a sort of same runbox as Mavrick did using ALT-F2.

Give it a try.

sam mixter (sam-mixter) wrote :

Confirm if CTRL+F2 gives you the run box you are looking for. It works for me and I don't believe that anything extra has enabled this feature as it was done on a fresh install. Please test for confirmation.

@ #5 Natty is Alpha so you will get bugs. The bug has been logge dand will hopefully be resolved

In retort, remeber BLASTER doing the rounds in Windows, Same difference don't you think....

Joanmarie (joanmarie-diggs) wrote :

Ctrl+F2 isn't doing it for me. Fresh install, but admittedly I've made my environment less stable by building and installing some stuff from upstream. ;-) Anyhoo, I'm eager to know what is producing Sam's 'run box.' Thanks!

tags: added: iso-testing

The best solution would be to just include Synapse in the main installation:
It is fast(Vala written) and works with Zeithgeist.

Changed in unity-2d:
assignee: nobody → Ugo Riboni (uriboni)
Vistaus (djmusic121) wrote :

I agree with Synapse-implementing.

Ingo Gerth (igerth) wrote :

This definitely is a problem that needs to be solved. But I am wondering: Why go through all the trouble and introduce a new program when the perfect solution is already there?

In unity we already have a wonderful application launcher: The applications lense in the dash. Would linking Alt-F2 to this lense not serve exactly the same purpose while avoiding an extra program?

There might be some adjustments necessary, but these seem only minor. There already is instant searching for example. The only thing I can think of is easy keyboard navigation through the proposed applications and launching the program by pressing the return key.

Yes, the app lens is a great starting point, but there is a gotcha in
that the traditional alt-f2 also allows things like "run in terminal"
which cannot be auto-detected.

We could just use the same applications dash, with the word "Run" instead of 'search' and
Would adding a "[ ] Run in terminal" checkbox below Run box fix that?
(Not sure how feasible this is but, we already have buttons, scrollbar in the dash and this checkbox just seems possible.)

Joanmarie (joanmarie-diggs) wrote :

FWIW, from my perspective the "run in terminal" option is NOT a must-have. I use the traditional alt-f2 constantly, and I have for years. And in all that time I think I opted to run something in the terminal once. If something must be run in the terminal, which I do quite often, I typically use alt-f2 to launch gnome-terminal or xterm if I don't have a terminal already running.

Thus if the choices are create a special Unity clone of the traditional run app dialog or just bind alt-f2 to something you already have which already provides the desired functionality, my vote as a user would be just bind the thing so we can use it.

As a related aside, whatever it's bound to should be evaluated for accessibility. (Thanks in advance!)

Florian Boucault (fboucault) wrote :

The traditional Alt+F2 also allows the user to run any command he/she could run in a terminal, not only to launch registered applications.

For example:
zenity --question

komputes (komputes) wrote :

My opinion is that we should be using Alt-F2 should bring up the classic "Run Application" dialog. I see this as an important backup way to start applications should the dock/launcher or other parts of unity not work as expected or crash unexpectedly.

Paul Sladen (sladen) wrote :

Currently I use Ctrl-Alt-t as "Alt-F2" (thanks to Mark for the tip, I was pulling my hair out before). Doing Ctrl-Alt-t lots also means you end up with a lot of Terminals left around, and those Terminals are hard to reuse with broken Alt-Tab (bug #175874) and then all looking the same in the switcher.

Personally, I can't recall having used the "Run in Terminal" option in perhaps more than once (and then only as an experiment to see what it did) so I don't know that we need to provide it; there have to be better ways based on heuristics (program writing to stdout, stderr, or blocking on stdin).

However, I'd be tempted to provide an Alt-F2 with "Run in Terminal" *in the short term* to improve the "familiarity" that a pre-existing user feels when confronted with the new Unity interface, going some way to helping to put them back in their comfort zone.

Paul Sladen (sladen) on 2011-02-15
summary: - Alt-F2 not working
+ Unity: Alt-F2 not working
Changed in unity-2d:
milestone: 3.6 → 3.8
Mio (m10) wrote :

I think the dash way is the best.. i did expect it to run commands that i enter anyway until i understood that it's just a search box..
Adding this functionality wouldn't break any existing one or create usability issues imho..
the only negative aspect is that when unity crashes Alt+F2 does exactly nothing which is quite annoying.. but that was the same with the traditional Alt+F2 anyway..

I have an idea on how to solve this problem from an UI and usability point of view:

Chromium has this neat 'quick search' feature that enables the user to search a specific topic by typing 'keyword' + 'space' + 'search input'. The same could be done with Unity dash, e.g. type 'l update-manager' ('l' for 'launch') to run 'update-manage' as when you pressed Alt-F2 in the old days.

To get a better idea of what I mean, look at the mock-up.
Implementing this kind of keyword search would open the door to a lot of other exiting search features like:
- 'w' for Wikipedia search
- 's' normal Internet search
- documentation search for a special topic like 'p' for python
- user specified keyword' to run - user specified launch/search script → hello Zeitgeist :)
- and many more...

A similar type of 'specified search terminology' is already used by Firefox, Chrome and DuckDuckGo in form of '!Bang' keywords. As the Alt-F2 feature is used mostly by advanced users, I think previous Alt-F2 users would quickly adopt the new procedure.

Pros:
- a consistent and expandable launch/search schema
- idea would extend the Unity dash without interrupting the current interface
- space for a lot of future Unity dash magic

Cons:
- when typing 'character + space' users could accidentally get into special launch/search mode
- not average user friendly (maybe a small drop-down search option menu as in Firefox could help out)

There are a large number of documents out there the describe Alt+F2 as
a means to enter a command. Why should this functionality not be
available with Unity?

Personally, if Alt+F2 is to be enhanced, I'd take a look at OS X's
Spotlight for an example of good usability.

At present, I am amazed at how many things there are that are more
difficult to achieve with Unity than with the classic Gnome UI.

David

--
David Tomaschik, RHCE, LPIC-1
System Administrator/Open Source Advocate
OpenPGP: 0x5DEA789B
http://systemoverlord.com
<email address hidden>

papukaija (papukaija) wrote :

Please stop adding new implementation suggestions. According to https://wiki.ubuntu.com/Unity/KeyboardShortcuts , Alt+F2 will "Invoke the Dash in a "special mode" to run a command".

@David: The original Alt+F2 launcher is part of Gnome's panels which Unity doesn't use as explained in comment 1.

David Tomaschik (matir) wrote :

@papukaija: Then the Unity documentation should state that it will
offer significantly reduced functionality compared to the status quo
on Gnome. I don't want to get off-point on this bug, but IMO, Unity
is a big step backwards for Linux on the Desktop. I can only hope
that the current version of Unity in the Natty dailies will have
massive improvements before the release of Natty.

David

On Thu, Feb 24, 2011 at 3:10 PM, papukaija <email address hidden> wrote:
> Please stop adding new implementation suggestions. According to
> https://wiki.ubuntu.com/Unity/KeyboardShortcuts , Alt+F2 will "Invoke
> the Dash in a "special mode" to run a command".
>
> @David: The original Alt+F2 launcher is part of Gnome's panels which
> Unity doesn't use as explained in comment 1.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/580295
>
> Title:
>  Unity: Alt-F2 not working
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/unity/+bug/580295/+subscribe
>

--
David Tomaschik, RHCE, LPIC-1
System Administrator/Open Source Advocate
OpenPGP: 0x5DEA789B
http://systemoverlord.com
<email address hidden>

papukaija (papukaija) wrote :

@David: I haven't written that wiki page.

Didier Roche (didrocks) on 2011-03-01
Changed in unity:
milestone: 3.6 → 3.6.2
Neil J. Patel (njpatel) on 2011-03-07
Changed in unity:
milestone: 3.6.2 → 3.6.4
komputes (komputes) wrote :

While testing natty, the dash, unity sidebar, panel and compiz crash. Not having a simple alt-f2 run dialog forces me to reboot.

Martin Pitt (pitti) wrote :

Feature freeze exception granted for this, as this is a regression.

Didier Roche (didrocks) on 2011-03-09
Changed in unity-2d:
status: Triaged → Fix Committed
status: Fix Committed → Triaged
Changed in unity:
status: Triaged → Fix Committed
Changed in unity-place-applications:
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → High
milestone: none → 0.2.38
status: New → In Progress
Changed in unity-place-applications:
status: In Progress → Fix Committed
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-place-applications:
status: Fix Committed → Fix Released
Florian Boucault (fboucault) wrote :

A new entry called 'runner' has been added to the applications place:

[Entry:Runner]
DBusObjectPath=/com/canonical/unity/applicationsplace/runner
_Name=Commands
ShowGlobal=False
ShowEntry=False

It should be accessible by pressing Alt+F2

For Unity 2D to support it properly, a few things need to happen:
- the Alt+F2 keyboard shortcut needs to be bound to it
- the launcher should respect the ShowEntry= setting
- the dash should respect the ShowGlobal= setting

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.38-0ubuntu1

---------------
unity-place-applications (0.2.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - "Find More Apps" shows only six applications by default (LP: #729023)
    - [dash] Newly installed applications are not shown in the "Installed"
      section though they disappeared from the "Available" section
      (LP: #719400)
    - Dash filter categories should be identical to the Software Center
      categories (LP: #729013)
    - looking for 'places' icons in the wrong location (LP: #727672)
  * debian/control:
    - build-dep on libgconf2-dev
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:50:21 +0100

Changed in unity-place-applications (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu Natty):
status: Triaged → Fix Released
Friik (slash-m3) wrote :

This bug is still not fixed in 3.6.4-0ubuntu1. Pressing Alt+F2 works, but I can't start anything from there.
Trying to execute gcalctool results in the following output (compiz started in terminal):
** (<unknown>:22287): WARNING **: Unable to show unity-runner://gcalctool: Der angegebene Ort wird nicht unterstützt

dbosen (daniel-bosen) wrote :

I can second, that the bug is not fixed. You still have to manually select the command in the result, even if there is just one result. Hitting the enter key should automatically execute the currently highlightet result.
Furthermore, if you selected the command by yourself it will be executet the next time you use alt-f2 even if you type in something completely different (without selecting something from the new resultset).

Didier Roche (didrocks) wrote :

You need latest places update and to restart unity to get a working alt-f2.

Test case:
- trigger alt+F2
- type gcalctool
- press enter -> gcalctool (the first item in the results) is launched.

The other items are available on key navigation.

Ugo Riboni (uriboni) on 2011-03-11
Changed in unity-2d:
status: Triaged → Confirmed
status: Confirmed → Triaged
tags: added: delta-with-3d
dbosen (daniel-bosen) wrote :

no, it still does not work here

- trigger alt+F2
  works now!
- type gcalctool (or some other application)
  (works, gcalctool is first item in the results)
- presse enter
  does not work, the black overlay window disappears and nothing happens

Joaquin (jknvv13) wrote :

ON Unity-2D the keyboard combination isn't working
What Can I do?

2011/3/13 dbosen <email address hidden>

> no, it still does not work here
>
> - trigger alt+F2
> works now!
> - type gcalctool (or some other application)
> (works, gcalctool is first item in the results)
> - presse enter
> does not work, the black overlay window disappears and nothing happens
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (728989).
> https://bugs.launchpad.net/bugs/580295
>
> Title:
> Unity: Alt-F2 not working
>
> Status in Unity:
> Fix Released
> Status in Unity 2D:
> Triaged
> Status in Unity Applications Place:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity-place-applications” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Natty:
> Fix Released
> Status in “unity-place-applications” source package in Natty:
> Fix Released
>
> Bug description:
> When pressing Alt-F2 nothing happens in Unity. The key-combo works on
> gnome and UNE. I'm not sure what extra info is needed. I'm running
> Unity on a Compaq Mini 110
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/unity/+bug/580295/+subscribe
>

Omer Akram (om26er) wrote :

the unity-2d bug is still not fixed and also if you are facing any issue
related to the implementation in unity please report a new bug for each
issue.

On Sun, Mar 13, 2011 at 7:07 PM, Joaquin <email address hidden> wrote:

> ON Unity-2D the keyboard combination isn't working
> What Can I do?
>
> 2011/3/13 dbosen <email address hidden>
>
> > no, it still does not work here
> >
> > - trigger alt+F2
> > works now!
> > - type gcalctool (or some other application)
> > (works, gcalctool is first item in the results)
> > - presse enter
> > does not work, the black overlay window disappears and nothing happens
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (728989).
> > https://bugs.launchpad.net/bugs/580295
> >
> > Title:
> > Unity: Alt-F2 not working
> >
> > Status in Unity:
> > Fix Released
> > Status in Unity 2D:
> > Triaged
> > Status in Unity Applications Place:
> > Fix Released
> > Status in “unity” package in Ubuntu:
> > Fix Released
> > Status in “unity-place-applications” package in Ubuntu:
> > Fix Released
> > Status in “unity” source package in Natty:
> > Fix Released
> > Status in “unity-place-applications” source package in Natty:
> > Fix Released
> >
> > Bug description:
> > When pressing Alt-F2 nothing happens in Unity. The key-combo works on
> > gnome and UNE. I'm not sure what extra info is needed. I'm running
> > Unity on a Compaq Mini 110
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/unity/+bug/580295/+subscribe
> >
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity in ubuntu.
> https://bugs.launchpad.net/bugs/580295
>
> Title:
> Unity: Alt-F2 not working
>
> Status in Unity:
> Fix Released
> Status in Unity 2D:
> Triaged
> Status in Unity Applications Place:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity-place-applications” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Natty:
> Fix Released
> Status in “unity-place-applications” source package in Natty:
> Fix Released
>
> Bug description:
> When pressing Alt-F2 nothing happens in Unity. The key-combo works on
> gnome and UNE. I'm not sure what extra info is needed. I'm running
> Unity on a Compaq Mini 110
>

Florian Boucault (fboucault) wrote :

@Joaquin: Ugo will fix that this week, just wait for the update :)

Joaquin (jknvv13) wrote :

Oh!
Sorry.
I read a new icon called "commands" and I suppose that it's for ALT+F2
combination..
:P

2011/3/13 Florian Boucault <email address hidden>

> @Joaquin: Ugo will fix that this week, just wait for the update :)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (728989).
> https://bugs.launchpad.net/bugs/580295
>
> Title:
> Unity: Alt-F2 not working
>
> Status in Unity:
> Fix Released
> Status in Unity 2D:
> Triaged
> Status in Unity Applications Place:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity-place-applications” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Natty:
> Fix Released
> Status in “unity-place-applications” source package in Natty:
> Fix Released
>
> Bug description:
> When pressing Alt-F2 nothing happens in Unity. The key-combo works on
> gnome and UNE. I'm not sure what extra info is needed. I'm running
> Unity on a Compaq Mini 110
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/unity/+bug/580295/+subscribe
>

Ugo Riboni (uriboni) on 2011-03-18
Changed in unity-2d:
status: Triaged → In Progress
Bill Filler (bfiller) on 2011-03-21
Changed in unity-2d:
importance: High → Critical
Changed in unity-2d:
status: In Progress → Fix Committed
Changed in unity-2d:
status: Fix Committed → Fix Released
Jan Rathmann (kaiserclaudius) wrote :

This is obviously not fixed in Unity 2D.
I have never seen Alt+F2 in Unity 2D doing anything so far, including current iso testing images.

Kind regards,
Jan

I just installed unity-2d on this netbook running (fully updated) 11.04 natty and Alt-F2 works properly as it does under regular unity.

$ apt-cache showpkg unity-2d
Package: unity-2d
Versions:
3.8.4.1-0ubuntu1 (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages) (/var/lib/dpkg/status)
...

Jan Rathmann (kaiserclaudius) wrote :

I did some further testing, with the result that Alt+F2 works _sometimes_, but not always.

For example, when I boot into daily live images 20110803.1 (both amd64 and i386), Alt+F2 does nothing, no matter how often I press the combination.
It also didn't work on my fresh installation yesterday.
But when I booted again tommorow into the same fresh installation, suddenly Alt+F2 worked! I thought it could be related to installing the propritary Nvidia driver. But it continued working when I removed the Nvidia driver (yes, all tests were done under Unity 2D. Never seen the problem with the Compiz-based Unity so far.).

So the next step would be to find out what stops Alt+F2 from working sometimes, but I honestly have no clue how to find out. But I would gladly do further testing if somebody has an idea.

Kind regards,
Jan

Joaquin (jknvv13) wrote :

Well, thus bug is fixed. I reported this on an alpha version of ubuntu 11.04
El 04/08/2011 15:26, "Tommy Trussell" <email address hidden> escribió:
> I just installed unity-2d on this netbook running (fully updated) 11.04
> natty and Alt-F2 works properly as it does under regular unity.
>
>
> $ apt-cache showpkg unity-2d
> Package: unity-2d
> Versions:
> 3.8.4.1-0ubuntu1
(/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages)
(/var/lib/dpkg/status)
> ...
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (728989).
> https://bugs.launchpad.net/bugs/580295
>
> Title:
> Unity: Alt-F2 not working
>
> Status in Unity:
> Fix Released
> Status in Unity 2D:
> Fix Released
> Status in Unity Applications Lens:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity-place-applications” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Natty:
> Fix Released
> Status in “unity-place-applications” source package in Natty:
> Fix Released
>
> Bug description:
> When pressing Alt-F2 nothing happens in Unity. The key-combo works on
> gnome and UNE. I'm not sure what extra info is needed. I'm running
> Unity on a Compaq Mini 110
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/580295/+subscriptions

@Jan -- since you mentioned "daily build" I presume you are booting images of 11.10 "Oneric Ocelot" and not 11.04 "Natty Narwhal." Since this bug was closed in 11.04 "Natty" you are probably seeing a different issue and you will want to open a new bug against Oneric.

As this old page says there are several places where the Alt-F2 message might be getting lost on your system: https://wiki.ubuntu.com/Hotkeys/Troubleshooting (NOTE a few things have changed since that page was written but it might help give you an idea where to look.) That page is one of many helpful debugging pages listed at https://wiki.ubuntu.com/DebuggingProcedures

Joaquin (jknvv13) wrote :

No. Anyway, this bug is fixed on Natty final.
El 05/08/2011 16:36, "Tommy Trussell" <email address hidden> escribió:
> @Jan -- since you mentioned "daily build" I presume you are booting
> images of 11.10 "Oneric Ocelot" and not 11.04 "Natty Narwhal." Since
> this bug was closed in 11.04 "Natty" you are probably seeing a different
> issue and you will want to open a new bug against Oneric.
>
> As this old page says there are several places where the Alt-F2 message
> might be getting lost on your system:
> https://wiki.ubuntu.com/Hotkeys/Troubleshooting (NOTE a few things have
> changed since that page was written but it might help give you an idea
> where to look.) That page is one of many helpful debugging pages listed
> at https://wiki.ubuntu.com/DebuggingProcedures
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (728989).
> https://bugs.launchpad.net/bugs/580295
>
> Title:
> Unity: Alt-F2 not working
>
> Status in Unity:
> Fix Released
> Status in Unity 2D:
> Fix Released
> Status in Unity Applications Lens:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity-place-applications” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Natty:
> Fix Released
> Status in “unity-place-applications” source package in Natty:
> Fix Released
>
> Bug description:
> When pressing Alt-F2 nothing happens in Unity. The key-combo works on
> gnome and UNE. I'm not sure what extra info is needed. I'm running
> Unity on a Compaq Mini 110
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/580295/+subscriptions

Jan Rathmann (kaiserclaudius) wrote :

@Tommy
Thanks, I have now opened a new report:
https://bugs.launchpad.net/ubuntu/+source/unity-2d/+bug/821919

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints